- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Events::CActionEvent Class Reference

Inheritance diagram for Exponent::GUI::Events::CActionEvent:

List of all members.

## Detailed Description

Allows for responding to control actions.

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CActionEvent.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 45 of file CActionEvent.hpp.

## Public Types

- enum EActionEventType {
  e_controlChanged = 0,
  e_scroll,
  e_menuChanged,
  e_otherEvent
  }
    Identifiers for the action events. More...

## Public Member Functions

- CActionEvent (IControl *control, const CMouseEvent &mouseEvent)
- CActionEvent (IControl *control)
- virtual IControl * getControl () const
- virtual EActionEventType getEventType () const
- virtual bool isAltDown () const
- virtual bool isCtrlDown () const
- virtual bool isShiftDown () const
- virtual void setControl (IControl *control)
- virtual void setEventType (EActionEventType eventType)
- virtual void setModifiers (const bool shift, const bool alt, const bool ctrl)
- virtual ~CActionEvent ()

## Protected Attributes

- bool m_altIsDown
- IControl * m_control
- bool m_ctrlIsDown
- EActionEventType m_eventType
- bool m_shiftIsDown

## Member Enumeration Documentation

enum Exponent::GUI::Events::CActionEvent::EActionEventType

Identifiers for the action events.

Enumerator:

  e_controlChanged | The control has changed
  e_scroll | Scrolling of some sort See also: CScrollEvent
  e_menuChanged | Menu has changed See also: CMenuEvent
  e_otherEvent | Some other (future) event

Definition at line 61 of file CActionEvent.hpp.

## Constructor & Destructor Documentation

Exponent::GUI::Events::CActionEvent::CActionEvent | ( | IControl * | control | ) |

Construction

Parameters:

  | control | The control that generated the event

Exponent::GUI::Events::CActionEvent::CActionEvent | ( | IControl * | control,
|  | const CMouseEvent & | mouseEvent |
| ) |  |  |

Construction with mouse

Parameters:

  | control | The control that generated the event
  | mouseEvent | The mouse event that triggered the control to change

virtual Exponent::GUI::Events::CActionEvent::~CActionEvent | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual IControl* Exponent::GUI::Events::CActionEvent::getControl | ( |  | ) | const`[virtual]`

Get the control

Return values:

  | IControl* | The control that triggered the event

virtual EActionEventType Exponent::GUI::Events::CActionEvent::getEventType | ( |  | ) | const`[virtual]`

Get the event type

Return values:

  | EActionEventType | The type of event

virtual bool Exponent::GUI::Events::CActionEvent::isAltDown | ( |  | ) | const`[virtual]`

Is the alt key down

Return values:

  | bool | True if alt is down, false otherwise

virtual bool Exponent::GUI::Events::CActionEvent::isCtrlDown | ( |  | ) | const`[virtual]`

Is ctrl down

Return values:

  | bool | True if ctrl is down, false otherwise

virtual bool Exponent::GUI::Events::CActionEvent::isShiftDown | ( |  | ) | const`[virtual]`

Is shift down

Return values:

  | bool | True if shift is down, false otherwise

virtual void Exponent::GUI::Events::CActionEvent::setControl | ( | IControl * | control | ) | `[virtual]`

Set the control

Parameters:

  | control | The control that generated the event

virtual void Exponent::GUI::Events::CActionEvent::setEventType | ( | EActionEventType | eventType | ) | `[virtual]`

Set the event type

Parameters:

  | eventType | The type of event

virtual void Exponent::GUI::Events::CActionEvent::setModifiers | ( | const bool | shift,
|  | const bool | alt,
|  | const bool | ctrl |
| ) |  |  | `[virtual]`

Set the modifiers

Parameters:

  | shift | True if shift is down, false otherwise
  | alt | True if alt is down, false otherwise
  | ctrl | True if ctrl is down, false otherwise

## Member Data Documentation

bool Exponent::GUI::Events::CActionEvent::m_altIsDown`[protected]`

Is the alt key depressed

Definition at line 155 of file CActionEvent.hpp.

IControl* Exponent::GUI::Events::CActionEvent::m_control`[protected]`

Generating control

Definition at line 151 of file CActionEvent.hpp.

bool Exponent::GUI::Events::CActionEvent::m_ctrlIsDown`[protected]`

Is the ctrl key depressed

Definition at line 156 of file CActionEvent.hpp.

EActionEventType Exponent::GUI::Events::CActionEvent::m_eventType`[protected]`

Type if event

Definition at line 152 of file CActionEvent.hpp.

bool Exponent::GUI::Events::CActionEvent::m_shiftIsDown`[protected]`

Is shift key depressed

Definition at line 154 of file CActionEvent.hpp.